public class Bed : InteractableObject {

    public static bool mustSleep;

    public static bool isSleeping;

    protected override void Start() {
        base.Start();
        isSleeping = false;
        mustSleep = false;
    }

    protected override void Update() {
        if (mustSleep && !isSleeping) {
            base.Update();
        }
    }

    protected override void DoActionDown() {
        if (mustSleep && !isSleeping) {
            FadeManager.NextDay();
            isSleeping = true;
        }
    }
}